summaryrefslogtreecommitdiffstats
path: root/streams
diff options
context:
space:
mode:
authortv <tv@also>2011-05-29 15:47:21 +0200
committertv <tv@also>2011-05-29 15:47:21 +0200
commit12c77cdbfa4ec48d935af3ae7cf1118e38bec6e1 (patch)
tree2fdf8b557d2a2a1edaba2be569c2110c3822559f /streams
parentedaa1d7f7a0ed33c019fce185b8aff7563498b6e (diff)
lowered filesystem hierarchy--everything are modules
Diffstat (limited to 'streams')
-rw-r--r--streams/Makefile10
-rw-r--r--streams/README10
-rwxr-xr-xstreams/deepmix27
-rwxr-xr-xstreams/groove29
-rwxr-xr-xstreams/radiotux29
5 files changed, 105 insertions, 0 deletions
diff --git a/streams/Makefile b/streams/Makefile
new file mode 100644
index 00000000..9f3076c0
--- /dev/null
+++ b/streams/Makefile
@@ -0,0 +1,10 @@
+INITD = /etc/init.d/
+streams = groove deepmix radiotux
+.PHONY: all
+.PHONY: $(streams)
+
+all: $(streams)
+ update-rc.d groove defaults
+
+$(streams):
+ cp $@ $(INITD)$@
diff --git a/streams/README b/streams/README
new file mode 100644
index 00000000..82300c24
--- /dev/null
+++ b/streams/README
@@ -0,0 +1,10 @@
+streams done right
+
+deepmix,groovesalad and radiotux are now init.d scrips which can be
+started and stopped.
+
+scripts are dumped into /etc/init.d and groovesalad will be set as
+default via update-rc.d
+
+mplayer will be started in a tmux session either by creating a new
+session or starting a new window inside the first existing one
diff --git a/streams/deepmix b/streams/deepmix
new file mode 100755
index 00000000..8b13bed6
--- /dev/null
+++ b/streams/deepmix
@@ -0,0 +1,27 @@
+#! /bin/bash
+set -euf
+CMD="while :; do mplayer http://deepmix.ru/deepmix128.pls; done"
+function start() {
+ stop
+ tmux list-sessions &&
+ tmux new-window "$CMD" ||
+ tmux new-session "$CMD"
+}
+function stop() {
+ pkill mplayer || :
+}
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac
diff --git a/streams/groove b/streams/groove
new file mode 100755
index 00000000..2d4a3e28
--- /dev/null
+++ b/streams/groove
@@ -0,0 +1,29 @@
+#! /bin/bash
+set -euf
+function stop()
+{
+ pkill mplayer || true
+}
+
+CMD="while true; do exec mplayer http://somafm.com/groovesalad.pls; sleep 1;done"
+case "$1" in
+ start)
+ stop
+ if tmux list-sessions;
+ then
+ tmux new-window "$CMD" &
+ else
+ tmux new-session "$CMD" &
+ fi
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac
diff --git a/streams/radiotux b/streams/radiotux
new file mode 100755
index 00000000..9d671493
--- /dev/null
+++ b/streams/radiotux
@@ -0,0 +1,29 @@
+#! /bin/bash
+set -euf
+function stop()
+{
+ pkill mplayer || true
+}
+
+CMD="while true; do exec mplayer http://streams.xenim.de/radiotux.ogg; sleep 1;done"
+case "$1" in
+ start)
+ stop
+ if tmux list-sessions;
+ then
+ tmux new-window "$CMD" &
+ else
+ tmux new-session "$CMD" &
+ fi
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac